Skip to main content
GET
/
v1
/
metrics
/
{metric_id}
Get metric
curl --request GET \
  --url https://api.coval.dev/v1/metrics/{metric_id} \
  --header 'X-API-Key: <api-key>'
{
  "metric": {
    "name": "metrics/abc123def456ghi789jklm",
    "id": "abc123def456ghi789jklm",
    "metric_name": "Customer Satisfaction",
    "description": "Evaluates customer satisfaction",
    "metric_type": "METRIC_LLM_BINARY",
    "prompt": "Did the agent resolve the issue?",
    "categories": [
      "positive",
      "neutral",
      "negative"
    ],
    "min_value": 1,
    "max_value": 10,
    "metadata_field_type": "STRING",
    "metadata_field_key": "satisfaction_score",
    "regex_pattern": "(hello|hi)",
    "role": "agent",
    "min_pause_duration_seconds": 0.5,
    "include_traces": true,
    "target_condition": {
      "comparison_operator": "eq",
      "target_float": 123,
      "target_values": [
        "value1",
        "value2"
      ]
    },
    "created_by": "<string>",
    "create_time": "2023-11-07T05:31:56Z",
    "update_time": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

metric_id
string
required

22-character metric ID

Pattern: ^[a-zA-Z0-9]{22}$

Response

Successful response

metric
object
required

Metric resource